%% Hackage
% #1: package
% #2: version
% #3: module
% #4: extra
\newcommand{\HackageModuleHref}[4]{\href{http://hackage.haskell.org/package/#1-#2/docs/#3.html}{\Literal{#4}}}
\newcommand{\HackageGlobalHref}[4]{\href{http://hackage.haskell.org/package/#1-#2/docs/#3.html\#g:#4}{\Literal{#4}}}
\newcommand{\HackageTypeHref}[4]{\href{http://hackage.haskell.org/package/#1-#2/docs/#3.html\#t:#4}{\Literal{#4}}}
\newcommand{\HackageValueHref}[4]{\href{http://hackage.haskell.org/package/#1-#2/docs/#3.html\#v:#4}{\Literal{#4}}}
\newcommand{\HackageValueOpHref}[5]{\href{http://hackage.haskell.org/package/#1-#2/docs/#3.html\#v:#4}{\Literal{#5}}}


%%% Local Variables:
%%% mode: latex
%%% TeX-master: "../../HaskellWeb"
%%% TeX-engine: xetex
%%% End:
